summaryrefslogtreecommitdiffstats
path: root/extra/source/kde3-compat/arts
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /extra/source/kde3-compat/arts
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'extra/source/kde3-compat/arts')
-rwxr-xr-xextra/source/kde3-compat/arts/arts.SlackBuild57
-rw-r--r--extra/source/kde3-compat/arts/arts.tmpdir.diff17
-rw-r--r--extra/source/kde3-compat/arts/slack-desc19
3 files changed, 93 insertions, 0 deletions
diff --git a/extra/source/kde3-compat/arts/arts.SlackBuild b/extra/source/kde3-compat/arts/arts.SlackBuild
new file mode 100755
index 000000000..a617c18c5
--- /dev/null
+++ b/extra/source/kde3-compat/arts/arts.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+CWD=`pwd`
+TMP=/tmp
+PKG=$TMP/package-arts
+
+VERSION=${VERSION:-1.5.10}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-opt1}
+
+rm -rf $PKG
+mkdir -p $PKG/opt/kde3
+
+# Avoid a version number in .la files:
+if [ -d /opt/kde3/lib64/qt3 ]; then
+ QTDIR=/opt/kde3/lib64/qt3
+fi
+cd $TMP
+echo "Building arts-$VERSION.tar.bz2..."
+tar xjvf $CWD/arts-$VERSION.tar.bz2
+cd arts-$VERSION
+
+QTDIR=/opt/kde3/lib64/qt3
+
+zcat $CWD/arts.tmpdir.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+CFLAGS=$CPUOPT \
+CXXFLAGS=$CPUOPT \
+./configure \
+ --prefix=/opt/kde3 \
+ --libdir=/opt/kde3/lib64 \
+ --sysconfdir=/opt/kde3/etc \
+ --with-xinerama \
+ --disable-debug \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+make -j4 || exit 1
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/arts-$VERSION
+cp -a \
+ COPYING* INSTALL doc/NEWS doc/README doc/TODO \
+ $PKG/usr/doc/arts-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+cd $PKG
+makepkg -l y -c n ../arts-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/extra/source/kde3-compat/arts/arts.tmpdir.diff b/extra/source/kde3-compat/arts/arts.tmpdir.diff
new file mode 100644
index 000000000..f50472a1e
--- /dev/null
+++ b/extra/source/kde3-compat/arts/arts.tmpdir.diff
@@ -0,0 +1,17 @@
+--- ./mcop/mcoputils.cc.orig 2006-01-19 10:16:08.000000000 -0600
++++ ./mcop/mcoputils.cc 2006-09-19 17:07:50.000000000 -0500
+@@ -47,7 +47,13 @@
+ result = lstat(tmp_dir, &stat_buf);
+ if ((result == -1) && (errno == ENOENT))
+ {
+- return 1;
++ result = mkdir(tmp_dir, 0700);
++ if (result == -1)
++ {
++ arts_warning("Error: Can not create directory \"%s\".\n", tmp_dir);
++ return 1;
++ }
++ result = stat(tmp_dir, &stat_buf);
+ }
+ if ((result == -1) || (!S_ISDIR(stat_buf.st_mode)))
+ {
diff --git a/extra/source/kde3-compat/arts/slack-desc b/extra/source/kde3-compat/arts/slack-desc
new file mode 100644
index 000000000..c7b45613d
--- /dev/null
+++ b/extra/source/kde3-compat/arts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+arts: arts (Analog Realtime Synthesizer)
+arts:
+arts: aRts is the core sound system for KDE, and is short for "analog
+arts: realtime synthesizer". aRts is designed to create or process sound
+arts: using small specialized modules. These may create a waveform, play
+arts: samples, filter data, add signals, perform effects (like delay,
+arts: flanger or chorus), or output the data to the soundcard.
+arts:
+arts:
+arts:
+arts: